Page MenuHomePhabricator

Add support for adding and editing alt text in the gallery tool
Closed, ResolvedPublic8 Story Points

Description

Galleries support alt text for images, e.g.,

<gallery>
File:Mars 23 aug 2003 hubble.jpg|Mars|alt=the red planet
File:Jupiter New Horizons.jpg|Jupiter|alt=a striped planet
</gallery>

If you try to edit this in the visual editor, the current gallery tool gives you a "caption" of Mars|alt=the red planet.

Could it be made to work like the Media Settings dialog, with a separate field for the alt text, instead?

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 31 2016, 5:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF triaged this task as Normal priority.Nov 7 2016, 7:15 PM
Jdforrester-WMF added a project: Accessibility.
Jdforrester-WMF set the point value for this task to 8.Nov 15 2016, 6:18 PM

Change 322490 had a related patch set uploaded (by Tchanders):
[mediawiki/extensions/VisualEditor@master] WIP Make gallery dialog work with native gallery implementation

https://gerrit.wikimedia.org/r/322490

Jdforrester-WMF moved this task from Blocked to Current work on the VisualEditor board.
Jdforrester-WMF moved this task from Incoming to In progress on the VisualEditor (Current work) board.
Esanders renamed this task from Please add support for adding and editing alt text in the gallery tool to Add support for adding and editing alt text in the gallery tool.Feb 26 2018, 2:42 PM

Change 322490 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Make gallery dialog work with native gallery implementation

https://gerrit.wikimedia.org/r/322490